%define major 0
%define libname %mklibname mission-control-plugins %major
%define develname %mklibname -d mission-control-plugins

Name:           telepathy-mission-control
Version:        5.12.3
Release:        1
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://mission-control.sourceforge.net/
Source0:        http://telepathy.freedesktop.org/releases/telepathy-mission-control/%{name}-%{version}.tar.gz

BuildRequires: chrpath
BuildRequires: glib2.0-common
BuildRequires: python
BuildRequires: xsltproc
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(telepathy-glib) => 0.17.5

Requires:      telepathy-filesystem

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n %{libname}
Summary: Run time library for telepathy-mission-control
Group:   System/Libraries
Obsoletes: %{_lib}missioncontrol5.4.0 < 5.6.0

%description -n %{libname}
Run time library for telepathy-mission-control

%package -n %{develname}
Summary: Development library for telepathy-mission-control
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}missioncontrol-devel < 5.6.0

%description -n %{develname}
Development library for telepathy-mission-control

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-gnome-keyring=yes \
	--disable-static

%make

%install
%makeinstall_std

%files
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_datadir}/dbus-1/services/*.service
%{_libexecdir}/mission-control-5
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_datadir}/gtk-doc/html/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc


%changelog
* Mon Sep 24 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.12.3-1
+ Revision: 817460
- version update 5.12.3

* Fri Apr 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.12.0-1
+ Revision: 793864
- version update 5.12.0

* Sun Jan 22 2012 Matthew Dawkins <mattydaw@mandriva.org> 5.10.1-1
+ Revision: 764893
- added missing BR glib2.0-common
- fixed files list
- removed unnecessary autoreconf
- converted BRs to pkgconfig provides
- new version 5.7.11
- cleaned up spec
- dropped p1

* Mon May 16 2011 Götz Waschk <waschk@mandriva.org> 5.7.11-1
+ Revision: 675058
- new version
- fix linking

* Wed Apr 27 2011 Funda Wang <fwang@mandriva.org> 5.7.9-1
+ Revision: 659528
- update to new version 5.7.9

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 5.6.0-1mdv2011.0
+ Revision: 582225
- new version 5.6.0

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 5.4.0-2mdv2010.1
+ Revision: 539618
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 5.4.0-1mdv2010.1
+ Revision: 535562
- update to new version 5.4.0

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.2-1mdv2010.1
+ Revision: 462055
- Update to new version 5.3.2
- Fix BuildRequires

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.1-1mdv2010.0
+ Revision: 444883
- update to new version 5.3.1

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 5.3.0-1mdv2010.0
+ Revision: 441023
- Update to new version 5.3.0: gnome-keyring support is back

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 5.2.3-1mdv2010.0
+ Revision: 437161
- update to new version 5.2.3

* Thu Aug 27 2009 Frederik Himpe <fhimpe@mandriva.org> 5.2.1-1mdv2010.0
+ Revision: 421744
- update to new version 5.2.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 5.2.0-1mdv2010.0
+ Revision: 421384
- new version
- drop patch
- new major
- update file list

* Thu May 28 2009 Frederik Himpe <fhimpe@mandriva.org> 4.67-2mdv2010.0
+ Revision: 380616
- use %%configure2_5x macro instead of %%configure to fix build
- Add upstream patch, via Debian: don't close channels on disconnect, so
  telepathy is usable for IRC when used with IRC proxies

* Sat Jul 19 2008 Frederik Himpe <fhimpe@mandriva.org> 4.67-1mdv2009.0
+ Revision: 238791
- update to new version 4.67

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 4.65-2mdv2009.0
+ Revision: 205885
- Add gnome-keyring buildrequires to make it use gnome-keyring for password
  storage

* Sun Apr 13 2008 Frederik Himpe <fhimpe@mandriva.org> 4.65-1mdv2009.0
+ Revision: 192664
- New version
- Do not install standard COPYING and INSTALL files
- New license policy
- Update to 4.64: fixes a serious regression since 4.62
- Rebuild fixes missing pkgconfig Provides

* Mon Mar 10 2008 Michael Scherer <misc@mandriva.org> 4.63-1mdv2008.1
+ Revision: 183464
- new version 4.63

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 4.60-1mdv2008.1
+ Revision: 167100
- update to 4.60
- use upstream tarball

* Thu Jan 17 2008 Michael Scherer <misc@mandriva.org> 4.55-1mdv2008.1
+ Revision: 154001
- fix missing file build failure
- update to 4.55

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 4.49-1mdv2008.1
+ Revision: 145842
- Add BR
- New release

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 4.42-1mdv2008.1
+ Revision: 97704
- New release 4.42

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 4.37-1mdv2008.0
+ Revision: 79778
- new version 4.37

* Sun Aug 12 2007 Michael Scherer <misc@mandriva.org> 4.33-1mdv2008.0
+ Revision: 62223
- update to 4.33

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 4.30-1mdv2008.0
+ Revision: 53613
- New version

* Sat Jun 30 2007 Michael Scherer <misc@mandriva.org> 4.28-1mdv2008.0
+ Revision: 46043
- 4.28

* Wed Jun 20 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.26-1mdv2008.0
+ Revision: 41769
- New version 4.26

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 4.25-1mdv2008.0
+ Revision: 40403
- update to 4.25
- remove patch 0, applied upstream
- complete Summary

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 4.22-1mdv2008.0
+ Revision: 30224
- Import telepathy-mission-control

